langcode: en
status: true
dependencies:
  config:
    - block_content.type.table
    - field.field.block_content.table.field_borders
    - field.field.block_content.table.field_caption_top
    - field.field.block_content.table.field_header_color
    - field.field.block_content.table.field_header_columns
    - field.field.block_content.table.field_hover
    - field.field.block_content.table.field_responsive
    - field.field.block_content.table.field_table
    - field.field.block_content.table.field_table_variant
  module:
    - fences
    - sobki_tablefield
    - ui_patterns
    - ui_patterns_field_formatters
  theme:
    - ui_suite_bootstrap
id: block_content.table.default
targetEntityType: block_content
bundle: table
mode: default
content:
  field_table:
    type: sobki_tablefield
    label: hidden
    settings:
      ui_patterns:
        component_id: 'ui_suite_bootstrap:table'
        variant_id:
          source_id: entity_field
          source:
            derivable_context: 'field:block_content:table:field_table_variant'
            'field:block_content:table:field_table_variant':
              value:
                source_id: 'field_property:block_content:field_table_variant:value'
        props:
          attributes:
            source_id: ui_styles_attributes
            source:
              styles:
                selected:
                  spacing_margin: m-2
              extra: ''
          header_color:
            source_id: entity_field
            source:
              derivable_context: 'field:block_content:table:field_header_color'
              'field:block_content:table:field_header_color':
                value:
                  source_id: 'field_property:block_content:field_header_color:value'
          footer_color:
            source_id: select
            source:
              value: ''
          stripes:
            source_id: selects
            source:
              value:
                - ''
                - ''
          borders:
            source_id: entity_field
            source:
              derivable_context: 'field:block_content:table:field_borders'
              'field:block_content:table:field_borders':
                value:
                  source_id: 'field_property:block_content:field_borders:value'
          hover:
            source_id: entity_field
            source:
              derivable_context: 'field:block_content:table:field_hover'
              'field:block_content:table:field_hover':
                value:
                  source_id: 'field_property:block_content:field_hover:value'
          divider:
            source_id: selects
            source:
              value:
                - ''
                - ''
                - ''
          responsive:
            source_id: entity_field
            source:
              derivable_context: 'field:block_content:table:field_responsive'
              'field:block_content:table:field_responsive':
                value:
                  source_id: 'field_property:block_content:field_responsive:value'
          caption_top:
            source_id: entity_field
            source:
              derivable_context: 'field:block_content:table:field_caption_top'
              'field:block_content:table:field_caption_top':
                value:
                  source_id: 'field_property:block_content:field_caption_top:value'
          header_columns:
            source_id: entity_field
            source:
              derivable_context: 'field:block_content:table:field_header_columns'
              'field:block_content:table:field_header_columns':
                value:
                  source_id: 'field_property:block_content:field_header_columns:value'
        slots: {  }
      row_header: true
      column_header: false
    third_party_settings:
      fences:
        fences_field_tag: none
        fences_field_classes: ''
        fences_field_items_wrapper_tag: none
        fences_field_items_wrapper_classes: ''
        fences_field_item_tag: none
        fences_field_item_classes: ''
        fences_label_tag: none
        fences_label_classes: ''
    weight: 0
    region: content
hidden:
  field_borders: true
  field_caption_top: true
  field_header_color: true
  field_header_columns: true
  field_hover: true
  field_responsive: true
  field_table_variant: true
  langcode: true
